summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorMike Frysinger <vapier@gentoo.org>2006-02-05 20:47:17 +0000
committerMike Frysinger <vapier@gentoo.org>2006-02-05 20:47:17 +0000
commitb92ad7b6da411e87cfcb87fc994f23865f420443 (patch)
treeebf758baccd8dace28a39bcc6326b7973732b8d0 /eclass
parentNew vim7 snapshot. (diff)
downloadgentoo-2-b92ad7b6da411e87cfcb87fc994f23865f420443.tar.gz
gentoo-2-b92ad7b6da411e87cfcb87fc994f23865f420443.tar.bz2
gentoo-2-b92ad7b6da411e87cfcb87fc994f23865f420443.zip
add workaround for broken `svn export` behavior #119236 by Joe Kappus
Diffstat (limited to 'eclass')
-rw-r--r--eclass/subversion.eclass10
1 files changed, 7 insertions, 3 deletions
diff --git a/eclass/subversion.eclass b/eclass/subversion.eclass
index 6b652fb498d0..36da4625b252 100644
--- a/eclass/subversion.eclass
+++ b/eclass/subversion.eclass
@@ -1,6 +1,6 @@
-# Copyright 1999-2005 Gentoo Foundation
+# Copyright 1999-2006 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/subversion.eclass,v 1.26 2006/01/07 23:46:57 ferringb Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/subversion.eclass,v 1.27 2006/02/05 20:47:17 vapier Exp $
## --------------------------------------------------------------------------- #
# Author: Akinori Hattori <hattya@gentoo.org>
@@ -181,7 +181,11 @@ function subversion_svn_fetch() {
fi
# export to the ${WORKDIR}
- svn export "${ESVN_STORE_DIR}/${ESVN_CO_DIR}" "${S}" || die "${ESVN}: can't exportto ${S}."
+ # for the time being, we use `cp -R` instead of `svn export` due to
+ # a bug in svn export handling. see http://bugs.gentoo.org/119236
+ #svn export "${ESVN_STORE_DIR}/${ESVN_CO_DIR}" "${S}" || die "${ESVN}: can't export to ${S}."
+ cp -pPR "${ESVN_STORE_DIR}/${ESVN_CO_DIR}" "${S}" || die "${ESVN}: can't copy to ${S}."
+ find "${S}" -name .svn -print0 | xargs -0 rm -rf {} \;
einfo " exported to: ${S}"
echo